View Issue Details

IDProjectCategoryView StatusLast Update
0000015file[All Projects] Generalpublic2021-05-10 01:09
ReportereschwartzAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version5.41 
Summary0000015: Try to acquire the "magic" name on the Python Package Index
DescriptionPer https://www.python.org/dev/peps/pep-0541/ an abandoned project can be deleted by the PyPI maintainers to clear the way for reusing the name.

The current "magic" package on https://pypi.org/project/magic/ is unmaintained since initial upload in 2003, it cannot even be installed as there is no code uploaded to PyPI, the "Project links: Download" points at a website that no longer exists (according to web.archive.org it disappeared sometime between 20121203 and 20130103), and I cannot find the original uploader on the internet more recently than 2003.

I suspect it would not be difficult to convince the PyPI maintainers of the validity of a claim by the official project. :)
TagsNo tags attached.

Activities

christos

2018-07-25 06:55

manager   ~0000016

I'll send mail to jp-py@jsnp.net who owns the project first.

christos

2018-07-25 06:59

manager   ~0000017

I've sent mail, waiting for a response.

christos

2018-08-01 09:02

manager   ~0000021

Sent mail to infrastructure-stuff@python.org to ask what to do next.

christos

2018-08-11 11:27

manager   ~0000046

No answer there, opened: https://github.com/pypa/pypi-legacy/issues/802

christos

2020-06-01 19:49

manager   ~0003421

Re-filed under: https://github.com/pypa/pypi-support/issues/429

eschwartz

2021-04-14 14:34

reporter   ~0003584

The ticket has been processed by PyPI support and transferred over.

So this can be closed as implemented.

christos

2021-05-10 01:09

manager   ~0003606

We have it now.

Issue History

Date Modified Username Field Change
2018-07-24 15:19 eschwartz New Issue
2018-07-25 06:52 christos Assigned To => christos
2018-07-25 06:52 christos Status new => assigned
2018-07-25 06:55 christos Note Added: 0000016
2018-07-25 06:59 christos Status assigned => confirmed
2018-07-25 06:59 christos Note Added: 0000017
2018-08-01 09:02 christos Note Added: 0000021
2018-08-11 11:27 christos Note Added: 0000046
2020-06-01 19:49 christos Note Added: 0003421
2021-04-14 14:34 eschwartz Note Added: 0003584
2021-05-10 01:09 christos Status confirmed => resolved
2021-05-10 01:09 christos Resolution open => fixed
2021-05-10 01:09 christos Fixed in Version => 5.41
2021-05-10 01:09 christos Note Added: 0003606